Форум русскоязычного сообщества Ubuntu


Автор Тема: [РЕШЕНО] проблема с обновлением libc6 и вообще обновлениями, ubuntu 10.04  (Прочитано 10789 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн a13xn

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Добрый день, all.

Есть такая беда - не хочет обновляться(точнее, конфигуриться - см. сообщение об ошибке) libc6 и кучка родственных пакетов, очень от него зависящих.
При этом все остальное тоже не обновляется. Сообщение об ошибке прилагаю:
alexn@alexn-desktop:~$ sudo apt-get install
[sudo] password for alexn:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
4 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
debconf: Perl may be unconfigured (syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at (eval 1) line 4.
BEGIN failed--compilation aborted at (eval 1) line 4.
) -- aborting
Setting up libc6 (2.11.1-0ubuntu7.7) ...
syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing libc6 (--configure):
 subprocess installed post-installation script reNo apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                              No apport report written because MaxReports is reached already
                     turned error exit status 255
dpkg: dependency problems prevent configuration of libc-dev-bin:
 libc-dev-bin depends on libc6 (>> 2.11); however:
  Package libc6 is not configured yet.
 libc-dev-bin depends on libc6 (<< 2.12); however:
  Package libc6 is not configured yet.
dpkg: error processing libc-dev-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc6-dev:
 libc6-dev depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
 libc6-dev depends on libc-dev-bin (= 2.11.1-0ubuntu7.7); however:
  Package libc-dev-bin is not configured yet.
dpkg: error processing libc6-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc6-i386:
 libc6-i386 depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
dpkg: error processing libc6-i386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libc6
 libc-dev-bin
 libc6-dev
 libc6-i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Аналогичная простыня вылезает при apt-get --install -f
В файликах, в которых syntax error я syntax error'a не вижу, да и вообще там в комментариях написано, что он сгенерен и не надо его трогать.

Googled till my finger bleed, два дня - результата нет.
Можт сталкивался кто? Подскажите плз, куда копать, а?
« Последнее редактирование: 14 Январь 2011, 18:32:51 от a13xn »

Оффлайн Haron Prime

  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 11313
  • Arch Linux & XMonad
    • Просмотр профиля
4 not fully installed or removed
sudo ls -a | grep brain > /dev/head

Оффлайн stmc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
зайти в synaptic, обновить список пакетов, поставить libc6 "для переустановки" и нажать применить

Оффлайн a13xn

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Не спасло:

E: libc6: subprocess installed post-installation script returned error exit status 255
E: libc-dev-bin: dependency problems - leaving unconfigured
E: libc6-dev: dependency problems - leaving unconfigured
E: libc6-i386: dependency problems - leaving unconfigured

Details:

debconf: Perl may be unconfigured (syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at (eval 1) line 4.
BEGIN failed--compilation aborted at (eval 1) line 4.
) -- aborting
Setting up libc6 (2.11.1-0ubuntu7.7) ...
syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing libc6 (--configure):
 subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of libc-dev-bin:
 libc-dev-bin depends on libc6 (>> 2.11); however:
  Package libc6 is not configured yet.
 libc-dev-bin depends on libc6 (<< 2.12); however:
  Package libc6 is not configured yet.
dpkg: error processing libc-dev-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc6-dev:
 libc6-dev depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
 libc6-dev depends on libc-dev-bin (= 2.11.1-0ubuntu7.7); however:
  Package libc-dev-bin is not configured yet.
dpkg: error processing libc6-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc6-i386:
 libc6-i386 depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
dpkg: error prNo apport report written because the error message indicates its a followup error from a previous failure.
                                        No apport report written because the error message indicates its a followup error from a previous failure.
                                                                  No apport report written because MaxReports is reached already
                                                ocessing libc6-i386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libc6
 libc-dev-bin
 libc6-dev
 libc6-i386
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libc6 (2.11.1-0ubuntu7.7) ...
syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing libc6 (--configure):
 subprocess installed post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of libc6-dev:
 libc6-dev depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
dpkg: error processing libc6-dev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc-dev-bin:
 libc-dev-bin depends on libc6 (>> 2.11); however:
  Package libc6 is not configured yet.
 libc-dev-bin depends on libc6 (<< 2.12); however:
  Package libc6 is not configured yet.
dpkg: error processing libc-dev-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libc6-i386:
 libc6-i386 depends on libc6 (= 2.11.1-0ubuntu7.7); however:
  Package libc6 is not configured yet.
dpkg: error processing libc6-i386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libc6
 libc6-dev
 libc-dev-bin
 libc6-i386


Пользователь решил продолжить мысль 14 Январь 2011, 14:52:58:
Кстати, та же самая ошибка возникает при попытке установить/удалить/переустановить любой пакет.
« Последнее редактирование: 14 Январь 2011, 14:52:58 от a13xn »

Оффлайн f1xmAn

  • Участник
  • *
  • Сообщений: 148
    • Просмотр профиля
    • Все для сенсорных смартфонов Nokia
Удали все из /var/lib/dpkg/info

Оффлайн stmc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
пробуй
sudo apt-get install -f

Оффлайн a13xn

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
install -f выдал ту же ошибку.
Потер все из /var/lib/dpkg/info, снова попробовал install -f. По идее - нечего инсталить - нет ошибок. Однако, выдалось вот это, похожего, кстати, содержания:

sudo apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
4 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
debconf: Perl may be unconfigured (syntax error at /usr/share/perl5/Debconf/Iterator.pm line 13, near "($this"
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 13.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at (eval 1) line 4.
BEGIN failed--compilation aborted at (eval 1) line 4.
) -- aborting
Setting up libc6 (2.11.1-0ubuntu7.7) ...
Setting up libc-dev-bin (2.11.1-0ubuntu7.7) ...
Setting up libc6-dev (2.11.1-0ubuntu7.7) ...
Setting up libc6-i386 (2.11.1-0ubuntu7.7) ...

Пользователь решил продолжить мысль 14 Январь 2011, 18:12:00:
Такое впечатление, что сильно поломался perl.
Даже cpan не запускается, с похожими ошибками:
sudo cpan
syntax error at /usr/share/perl/5.10/File/Find.pm line 700, near "($top_item"
syntax error at /usr/share/perl/5.10/File/Find.pm line 761, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 854, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 902, near "(@filenames"
syntax error at /usr/share/perl/5.10/File/Find.pm line 926, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 958, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 964, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 1017, near "()"
syntax error at /usr/share/perl/5.10/File/Find.pm line 1039, near "() "
syntax error at /usr/share/perl/5.10/File/Find.pm line 1128, near "() "
/usr/share/perl/5.10/File/Find.pm has too many errors.
Compilation failed in require at /usr/share/perl/5.10/CPAN/CacheMgr.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl/5.10/CPAN/CacheMgr.pm line 8.
Compilation failed in require at /usr/share/perl/5.10/CPAN.pm line 22.
BEGIN failed--compilation aborted at /usr/share/perl/5.10/CPAN.pm line 22.
Compilation failed in require at /usr/bin/cpan line 175.
BEGIN failed--compilation aborted at /usr/bin/cpan line 175.

Простые вещи типа hello world работают. Как только use какого-то модуля - кирдык.
« Последнее редактирование: 14 Январь 2011, 18:12:00 от a13xn »

Оффлайн f1xmAn

  • Участник
  • *
  • Сообщений: 148
    • Просмотр профиля
    • Все для сенсорных смартфонов Nokia
Попробуй полностью удалить Perl, а потом его заново инсталлировать

Оффлайн a13xn

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
С одной стороны каюсь, с другой стороны - magic.
После очередного ребута завелось и заработало.

Всем спасибо.

Оффлайн f1xmAn

  • Участник
  • *
  • Сообщений: 148
    • Просмотр профиля
    • Все для сенсорных смартфонов Nokia
С одной стороны каюсь, с другой стороны - magic.
После очередного ребута завелось и заработало.

Всем спасибо.
Иногда создается такое впечатление, что слово Ubuntu взято из книги заклинаний древних Ктулху =)

 

Страница сгенерирована за 0.095 секунд. Запросов: 22.